Package org.eclipse.emf.cdo.common.branch

# Interface CDOBranchHandler

All Known Subinterfaces:
  `CDOReplicationContext`, `InternalFailoverParticipant`, `InternalSynchronizableRepository`

public interface CDOBranchHandler
A call-back interface that indicates the ability to handle branches that are passed from other entities.

Since:
  3.0
Author:
  Eike Stepper
See Also:
  - `CDOBranchManager.getBranches(int, int, CDOBranchHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleBranch(CDOBranch branch)`
A call-back method that other entities can pass branches to.

## Method Details

### handleBranch

void handleBranch(CDOBranch branch)
A call-back method that other entities can pass branches to.